Skip to main content
GET
/
api
/
v2
/
affiliate
/
reports
/
statistics-tree
Get statistics tree (GET)
curl --request GET \
  --url https://{domain}/api/v2/affiliate/reports/statistics-tree \
  --header 'X-API-Key: <api-key>'
import requests

url = "https://{domain}/api/v2/affiliate/reports/statistics-tree"

headers = {"X-API-Key": "<api-key>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {'X-API-Key': '<api-key>'}};

fetch('https://{domain}/api/v2/affiliate/reports/statistics-tree', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "message": "<string>",
  "rows": [
    {
      "traffic_source": {
        "id": 123,
        "value": "<string>"
      },
      "traffic_approach": {
        "id": 123,
        "value": "<string>"
      }
    }
  ],
  "totals": {}
}
{
"message": "Request could not be parsed.",
"success": false,
"info": {
"errors": {}
}
}
{
"message": "API key is invalid or missing.",
"success": false
}
{
"message": "This endpoint is not available for your role.",
"success": false
}
{
"message": "Resource not found.",
"success": false
}
{
"message": "An unexpected error occurred.",
"success": false,
"info": {
"errors": {}
}
}

Authorizations

X-API-Key
string
header
required

Preferred authentication method. Pass the API key in the X-API-Key HTTP request header. The user account must have api_status enabled.

Query Parameters

rangeFrom
string
required

Date range start. Supports YYYY-MM-DD and YYYY-MM-DD HH:mm:ss.

rangeTo
string
required

Date range end. Supports YYYY-MM-DD and YYYY-MM-DD HH:mm:ss.

page
integer
default:1

Page number.

perPage
integer
default:10

Items per page.

sortField
string

Sort by column key. Default is added_timestamp.

sortDirection
enum<string>
default:desc

Sort direction.

Available options:
asc,
desc
columns
string

Comma-separated metric keys.

breakdown
string

Primary grouping dimension.

breakdowns
string

Additional grouping dimensions (comma-separated).

originalCurrency
enum<string>

Return monetary values in the original currency without conversion. Pass yes to enable.

Available options:
yes,
no

Search text.

Response

Statistics in tree format.

message
string
rows
object[]
totals
object